### Function

# GLib BookmarkFile new

since: 2.12

#### Declaration [src]

    GBookmarkFile*
    g_bookmark_file_new (
      void
    )

#### Description [src]

Creates a new empty `GBookmarkFile` object.

Use g_bookmark_file_load_from_file(), `g_bookmark_file_load_from_data()` or `g_bookmark_file_load_from_data_dirs()` to read an existing bookmark file.

Available since: 2.12

#### Return value

Type: `GBookmarkFile`

An empty `GBookmarkFile`.

The caller of the function takes ownership of the data, and is responsible for freeing it.